Bug 1154138 - [abrt] lorax: mkefiboot:61:macmunge:IndexError: list index out of range
Summary: [abrt] lorax: mkefiboot:61:macmunge:IndexError: list index out of range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dda82fdc018d51bc7b3c78d7306...
Depends On:
Blocks: F21BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2014-10-17 16:08 UTC by M. Edward (Ed) Borasky
Modified: 2014-10-28 18:17 UTC (History)
11 users (show)

Fixed In Version: livecd-tools-21.3-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 18:17:22 UTC


Attachments (Terms of Use)
File: 21-x86_64.log Log of run (432.19 KB, text/plain)
2014-10-17 16:08 UTC, M. Edward (Ed) Borasky
no flags Details
File: CompJournoStick.ks Kickstart file for making ISO file (2.82 KB, text/plain)
2014-10-17 16:08 UTC, M. Edward (Ed) Borasky
no flags Details
File: backtrace (687 bytes, text/plain)
2014-10-17 16:08 UTC, M. Edward (Ed) Borasky
no flags Details
File: environ (1.96 KB, text/plain)
2014-10-17 16:08 UTC, M. Edward (Ed) Borasky
no flags Details
File: sudo-make-iso.bash Script to make ISO file using the kickstart file (2.13 KB, text/plain)
2014-10-17 16:08 UTC, M. Edward (Ed) Borasky
no flags Details
Patch for .EFI (1.34 KB, application/mbox)
2014-10-17 17:19 UTC, Brian Lane
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1156380 None None None Never

Internal Links: 1156380

Description M. Edward (Ed) Borasky 2014-10-17 16:08:29 UTC
Description of problem:
Using livecd-creator - will post kickstart file and script after the bug is filed

Version-Release number of selected component:
lorax-21.25-1.fc21

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /sbin/mkefiboot -a /data/Projects/CompJournoStick/2MakeLiveISOImage/tmpdir/imgcreate-6sAKDf/iso-5NtTeQ/EFI/BOOT /data/Projects/CompJournoStick/2MakeLiveISOImage/tmpdir/imgcreate-6sAKDf/iso-5NtTeQ/isolinux/macboot.img -l CompJournoStick21-x86_64 -n /usr/share/pixmaps/bootloader/fedora-media.vol -i /usr/share/pixmaps/bootloader/fedora.icns -p CompJournoStick21-x86_64
executable:     /sbin/mkefiboot
kernel:         3.17.0-301.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
mkefiboot:61:macmunge:IndexError: list index out of range

Traceback (most recent call last):
  File "/sbin/mkefiboot", line 163, in <module>
    main()
  File "/sbin/mkefiboot", line 154, in main
    opt.diskname)
  File "/sbin/mkefiboot", line 46, in mkmacboot
    macmunge(outfile, product)
  File "/sbin/mkefiboot", line 61, in macmunge
    shim = glob.glob(os.path.join(mnt, 'EFI/BOOT/BOOT*.EFI'))[0]
IndexError: list index out of range

Local variables in innermost frame:
loopdev: '/dev/loop1'
imgfile: '/data/Projects/CompJournoStick/2MakeLiveISOImage/tmpdir/imgcreate-6sAKDf/iso-5NtTeQ/isolinux/macboot.img'
product: 'CompJournoStick21-x86_64'
mnt: '/tmp/lorax.imgutils.nLprnQ'

Comment 1 M. Edward (Ed) Borasky 2014-10-17 16:08:33 UTC
Created attachment 947964 [details]
File: 21-x86_64.log

Log of run

Comment 2 M. Edward (Ed) Borasky 2014-10-17 16:08:34 UTC
Created attachment 947965 [details]
File: CompJournoStick.ks

Kickstart file for making ISO file

Comment 3 M. Edward (Ed) Borasky 2014-10-17 16:08:34 UTC
Created attachment 947966 [details]
File: backtrace

Comment 4 M. Edward (Ed) Borasky 2014-10-17 16:08:35 UTC
Created attachment 947967 [details]
File: environ

Comment 5 M. Edward (Ed) Borasky 2014-10-17 16:08:36 UTC
Created attachment 947968 [details]
File: sudo-make-iso.bash

Script to make ISO file using the kickstart file

Comment 6 Brian Lane 2014-10-17 17:19:14 UTC
Created attachment 947985 [details]
Patch for .EFI

mkefiboot now expect the bootloader to be BOOT.*EFI (all upper case). This patch should fix it for livecd-creator.

Comment 7 Fedora Blocker Bugs Application 2014-10-17 21:53:46 UTC
Proposed as a Blocker for 21-beta by Fedora user bcl using the blocker tracking app because:

 mkefiboot from lorax-21.25-1 requires that shim use all upper case. eg. BOOTX64.EFI

Without this fix livecd-creator will fail when using lorax >= 21.25-1

This is also related to bug 1043274 (which is what lorax was fixing)

Comment 8 Adam Williamson 2014-10-18 01:21:17 UTC
Um...so how did the TC4 compose work, then?

Comment 9 Kamil Páral 2014-10-20 16:56:47 UTC
Discussed in 2014-10-20 Blocker Review meeting [1]. Accepted as a blocker. This bug breaks UEFI booting which is an obvious violation of the Alpha criteria: "Release-blocking images must boot from all system firmware types that are commonly found on the primary architectures."

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2014-10-20/

Comment 10 Fedora Update System 2014-10-20 18:40:39 UTC
livecd-tools-21.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/livecd-tools-21.3-1.fc21

Comment 11 Adam Williamson 2014-10-21 01:05:37 UTC
Correction to c#9: in fact this affects only Mac booting, not all UEFI booting. Still, we do expect Fedora to boot on Macs especially after Beta, so I don't think that needs to affect the determination.

I have tested an image created with livecd-tools, it does not display the mkmacboot error and appears to boot fine in both UEFI and BIOS mode on PCs (I don't have a Mac to test).

Comment 12 Adam Williamson 2014-10-21 01:05:58 UTC
that is, an image created with *the updated* livecd-tools.

Comment 13 Fedora Update System 2014-10-21 17:25:43 UTC
Package livecd-tools-21.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-21.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13409/livecd-tools-21.3-1.fc21
then log in and leave karma (feedback).

Comment 14 Adam Williamson 2014-10-27 19:00:15 UTC
There is no mkefiboot error in the 21 Beta RC1 Workstation live compose log:

https://kojipkgs.fedoraproject.org//work/tasks/6143/7936143/root.log

so I'm gonna call this VERIFIED.

Comment 15 Fedora Update System 2014-10-28 18:17:22 UTC
livecd-tools-21.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.